perl-CGI-Alert-2.09-alt1.noarch.rpm


Advertisement

Description

perl-CGI-Alert - report CGI script errors to maintainer

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name perl-CGI-Alert
Package version 2.09
Package release alt1
Package architecture noarch
Package type rpm
Installed size 31.83 KB
Download size 31.83 KB
Official Mirror ftp.altlinux.org
CGI::Alert will inform you by email of warnings and errors (from die.or from exiting with nonzero status).
If the script terminates normally (exit status 0), and no warnings were
issued by the script or by Perl, CGI::Alert is a no-op.  It just consumes
resources but has no other effect.
If the script terminates normally, but has issued warnings (either
directly via `warn', or by Perl itself from the `warnings' pragma),
CGI::Alert will send you an email message with the first 10 of those
warnings, plus other details (see below).
If the script terminates via die, CGI::Alert sends you an email
message with the details.  It also displays a big 'Uh-Oh' on the
remote web user's browser, informing him/her that an error has
occurred, and that the maintainer has been notified.
CGI::Alert is useful for letting you know of problems in your
scripts.  It's also useful for adding FIXMEs: you can leave
unimportant-seeming sections unimplemented, but put a "warn"
statement in them.  If you get email from that section, you
know your users have a need for that functionality.

Alternatives

Package Version Architecture Repository
perl-CGI-Alert - - -

Requires

Name Value
/usr/share/perl5 -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(CGI/Alert.pm) = 2.090
perl-CGI-Alert = 2.09-alt1

Download

Type URL
Binary Package perl-CGI-Alert-2.09-alt1.noarch.rpm
Source Package perl-CGI-Alert-2.09-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-CGI-Alert rpm package:
    # sudo apt-get install perl-CGI-Alert

Files

Path
/usr/share/doc/perl-CGI-Alert-2.09/ChangeLog
/usr/share/doc/perl-CGI-Alert-2.09/README
/usr/share/perl5/CGI/Alert.pm

See Also

Package Description
perl-CGI-Alternatives-0.15-alt1.noarch.rpm Documentation for alternative solutions to CGI.pm
perl-CGI-Apache2-Wrapper-0.215-alt1.noarch.rpm CGI.pm-compatible methods via mod_perl
perl-CGI-Application-Bouquet-Rose-1.06-alt1.noarch.rpm Generate a set of CGI::Application-based classes
perl-CGI-Application-Demo-Ajax-1.04-alt1.noarch.rpm A search engine using CGI::Application, AJAX and JSON
perl-CGI-Application-Demo-Basic-1.06-alt1.noarch.rpm A vehicle to showcase C<CGI::Application>
perl-CGI-Application-Demo-Dispatch-1.05-alt1.noarch.rpm Help study usage of CGI::Application::Dispatch
perl-CGI-Application-Dispatch-3.12-alt1_12.noarch.rpm Dispatch requests to CGI::Application based objects
perl-CGI-Application-Dispatch-Server-0.53-alt1.noarch.rpm A simple HTTP server for developing with CGI::Application::Dispatch
perl-CGI-Application-Emulate-PSGI-0.02-alt1.noarch.rpm a legacy-code-friendly PSGI adapter for CGI::Application
perl-CGI-Application-FastCGI-0.02-alt1_24.noarch.rpm For using CGI::Application under FastCGI
perl-CGI-Application-Gallery-1.09-alt1.noarch.rpm perl module CGI-Application-Gallery
perl-CGI-Application-Generator-1.0-alt1.noarch.rpm Dynamically build CGI::Application modules
perl-CGI-Application-MailPage-1.7-alt1.noarch.rpm module to allow users to send HTML pages to friends
perl-CGI-Application-NetNewsIface-0.0203-alt1.noarch.rpm a publicly-accessible read-only interface
perl-CGI-Application-PSGI-1.00-alt1_25.noarch.rpm PSGI Adapter for CGI::Application
Advertisement
Advertisement